<?php

// Copyright (C) 2008 Self-Reliance asbl

// This file is part of PhpDaily.

// PhpDaily is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// PhpDaily is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with PhpDaily. If not, see http://www.gnu.org/licenses/ 

require_once ('include/header.php');
require_once ('include/menu.php');
require_once ("include/connect.php");
require_once ("include/connexion.php");
require_once ("include/query.php");
require_once ('include/cal_conf.php');

$conn = Connexion (NOM, PASSE, BASE, SERVEUR);

$id_field = $_GET['id'];
$prev = $_GET['prev'];
if (isset($_GET['date']))
{
	$date = $_GET['date'];
}
else
{
	$date = "";
}

$req = Requete ("SELECT * FROM prestations, projets, taches, domaines, users, lieux, produits, deplacements, zones WHERE prestations.pre_fk_projet = projets.proj_id AND prestations.pre_fk_tache = taches.tache_id AND domaines.dom_id = prestations.pre_fk_domaine AND prestations.pre_fk_user = users.user_id AND prestations.pre_fk_lieu = lieux.lieu_id AND prestations.pre_fk_produit = produits.prod_id AND prestations.pre_fk_deplacement = deplacements.depl_id AND zones.zone_id = prestations.pre_fk_zone AND pre_id = $id_field;",$conn);

while ($rs = ObjetSuivant($req))
{

?>

<div class="content">
	
	<form name="mod_prestation" action="process_prestation.php?mode=update&id=<?php echo $id_field; ?>" method="post">
	
		<table width="80%" align="center" cellpadding="3" cellspacing="3">
			<tr>
				<th colspan="2"><?php echo TXT_MOD_PRESTATIONS_MODIFIER_PRESTATION; ?></th>
			</tr>
			<tr>
				<td class="cellright"><?php echo TXT_MOD_PRESTATIONS_QUAND; ?></td>
				<td class="cellleft"><input type="text" class="gen" name="pre_date" value="<?php echo $rs->pre_date; ?>" size="15">&nbsp;<a href="javascript:showCal('Calendar_mod_date');"><img src="images/b_calendar.gif" border="0"></a></td>
			</tr>
			<tr>
				<td class="cellright"><?php echo TXT_MOD_PRESTATIONS_QUI; ?></td>
				<td class="cellleft"><?php echo $rs->user_prenom." ".$rs->user_nom; ?></td>
			</tr>
			<tr>
				<td class="cellright" valign="top"><?php echo TXT_MOD_PRESTATIONS_A_FAIT_QUOI; ?></td>
				<td class="cellleft"><textarea name="pre_desc" cols="50" rows="5"><?php echo $rs->pre_desc; ?></textarea></td>
			</tr>
			<tr>
				<td class="cellright"><?php echo TXT_MOD_PRESTATIONS_OU; ?></td>
				<td class="cellleft">
					<select name="lieu_id">
					
<?php
$req2 = Requete ("SELECT * FROM lieux ORDER BY lieu_nom;",$conn);
while ($rs2 = ObjetSuivant($req2))
{
	echo "<option value=\"".$rs2->lieu_id."\"";
	if ($rs2->lieu_id == $rs->lieu_id)
	{
		echo " selected";
	}
	echo ">".$rs2->lieu_nom."</option>\n";
}
?>
					
					</select>
<?php
if ($_SESSION['conf_deplacements'])
{
?>
					<select name="depl_id">
					
<?php
	$req2 = Requete ("SELECT * FROM deplacements ORDER BY depl_id;",$conn);
	while ($rs2 = ObjetSuivant($req2))
	{
		echo "<option value=\"".$rs2->depl_id."\"";
		if ($rs2->depl_id == $rs->depl_id)
		{
			echo " selected";
		}
		echo ">".$rs2->depl_nom."</option>\n";
	}
?>
					
					</select>
<?php
}
else
{
	echo "<input type=\"hidden\" name=\"depl_id\" value=\"".$rs->pre_fk_deplacement."\">";
}
?>
				</td>
			</tr>
<?php
if ($_SESSION['conf_zones'])
{
?>
			<tr>
				<td class="cellright"><?php echo TXT_MOD_PRESTATIONS_POUR_QUEL_REGROUPEMENT; ?></td>
				<td class="cellleft">
					<select name="zone_id">
					
<?php
	$req2 = Requete ("SELECT * FROM zones WHERE zone_isactive = 1 ORDER BY zone_ordre;",$conn);
	while ($rs2 = ObjetSuivant($req2))
	{
		echo "<option value=\"".$rs2->zone_id."\"";
		if ($rs2->zone_id == $rs->zone_id)
		{
			echo " selected";
		}
		echo ">".$rs2->zone_nom."</option>\n";
	}
?>
					
					</select>
				</td>
			</tr>
<?php
}
else
{
	echo "<input type=\"hidden\" name=\"zone_id\" value=\"".$rs->pre_fk_zone."\">";
}
if ($_SESSION['conf_produits'])
{
?>
			<tr>
				<td class="cellright"><?php echo TXT_MOD_PRESTATIONS_SUR_QUEL_PRODUIT; ?></td>
				<td class="cellleft">
					<select name="prod_id">
					
<?php
	$req2 = Requete ("SELECT * FROM produits ORDER BY prod_nom;",$conn);
	while ($rs2 = ObjetSuivant($req2))
	{
		echo "<option value=\"".$rs2->prod_id."\"";
		if ($rs2->prod_id == $rs->prod_id)
		{
			echo " selected";
		}
		echo ">".$rs2->prod_nom."</option>\n";
	}
?>
					
					</select>
				</td>
			</tr>
<?php
}
else
{
	echo "<input type=\"hidden\" name=\"prod_id\" value=\"".$rs->pre_fk_produit."\">";
}
?>
			<tr>
				<td class="cellright"><?php echo TXT_MOD_PRESTATIONS_PENDANT_COMBIEN_TEMPS; ?></td>
				<td class="cellleft"><input type="text" class="gen" name="pre_heures" value="<?php echo $rs->pre_heures; ?>"size="5"> <span class="tablecomment"><?php echo TXT_MOD_PRESTATION_EXEMPLES; ?></span></td>
			</tr>
			<tr>
				<td class="cellright"><?php echo TXT_PROJET_POUR_QUEL_PROJET; ?> * </td>
				<td class="cellleft"><?php echo $rs->proj_titre_abr; ?><input type="hidden" name="proj_id" value="<?php echo $rs->pre_fk_projet; ?>"></td>
			</tr>
<?php
if ($_SESSION['conf_domaines'])
{
?>
			<tr>
				<td class="cellright"><?php echo TXT_DOMAINE_POUR_QUEL_DOMAINE; ?> * </td>
				<td class="cellleft"><?php echo $rs->dom_id; ?> <?php echo $rs->dom_nom; ?><input type="hidden" name="dom_id" value="<?php echo $rs->pre_fk_domaine; ?>"></td>
			</tr>
<?php
}
else
{
	echo "<input type=\"hidden\" name=\"dom_id\" value=\"".$rs->pre_fk_domaine."\">";
}
if ($_SESSION['conf_taches'])
{
?>
			<tr>
				<td class="cellright"><?php echo TXT_TACHE_POUR_QUELLE_TACHE; ?> * </td>
				<td class="cellleft"><?php echo $rs->tache_nom; ?><input type="hidden" name="tache_id" value="<?php echo $rs->pre_fk_tache; ?>"></td>
			</tr>
<?php
}
else
{
	echo "<input type=\"hidden\" name=\"tache_id\" value=\"".$rs->pre_fk_tache."\">";
}
?>
			<tr>
				<td class="cellright" valign="top"><?php echo TXT_MOD_PRESTATIONS_REMARQUES; ?></td>
				<td class="cellleft"><textarea name="pre_remarques" cols="50" rows="5"><?php echo $rs->pre_remarques; ?></textarea></td>
			</tr>
			<tr>
				<td colspan="2" class="cellcenter">
					<input type="hidden" name="prev" value="<?php echo $prev; ?>">
					<input type="hidden" name="date" value="<?php echo $date; ?>">
					<input type="submit" class="bouton" value="<?php echo TXT_MOD_PRESTATIONS_MODIFIER; ?>">
				</td>
			</tr>
			<tr>
				<td colspan="2" class="tablecomment"><?php echo TXT_MOD_PRESTATIONS_CHAMPS_OBLIGATOIRES; ?></td>
			</tr>
		</table>
	</form>
	
	<br />

</div>

<?php
}

require_once ('include/footer.php');
?>